Skip to content

Delete a Dataset

API Description

Use this API to delete a dataset in the metrics platform.

API URL

POST Http://{anymetrics_host:anymetrics_port}/anymetrics/api/v1/dataset/delete

For how to obtain anymetrics_host:anymetrics_port, see Calling APIs.

Common Request Parameters

Parameter Type Required Description
tenant-id String Yes Tenant ID. Identifies the tenant for metric query content.
auth-type String Yes Authentication method. Supported values: UID, TOKEN, ACCOUNT, and APIKEY.
auth-value String Yes Authentication value corresponding to auth-type.

How to Obtain Common Parameters

To obtain tenant-id, select a metrics application in the top navigation bar of Aloudata CAN, choose API Integration from the left navigation menu, and copy it from the API Integration page. Set auth-value according to the selected auth-type.

image.png

Request Parameters

Parameter Type Required Maximum Length Description Example
name String Yes 128 Name of the current dataset. datasetName

Response Parameters

{
    "data": true,
    "success": true,
    "code": null,
    "message": null,
    "traceId": ""
}

Request Example

{
  "name": "DATEADD_Test"
}